//UI
#version 450


// Vk3DVision (http://3dsurroundgaming.com/) - Stereo Injection
layout(set = 0, binding = 99, std140) uniform Vk3DParams
{
    vec4 stereo;
    vec4 custom_params;
}
 vk3d_params;

layout(set = 0, binding = 0, std140) uniform VConstants
{
    vec4 vfuniforms[96];
} _28;

layout(location = 0) in vec4 pos;
layout(location = 1) in uint vbatch;
layout(location = 0) out vec2 tc0;

void main()
{
    gl_Position = vec4(0.0, 0.0, 0.0, 1.0);
    gl_Position.x = dot(pos, _28.vfuniforms[int((((float(vbatch) * 4.0) + 0.0) + 0.100000001490116119384765625) + 0.0)]);

// Vk3DVision (http://3dsurroundgaming.com/) - Stereo Injection
 	gl_Position.x += vk3d_params.stereo.x * 0.05;
    gl_Position.y = -dot(pos, _28.vfuniforms[int((((float(vbatch) * 4.0) + 0.0) + 0.100000001490116119384765625) + 1.0)]);
    tc0.x = dot(pos, _28.vfuniforms[int((((float(vbatch) * 4.0) + 2.0) + 0.100000001490116119384765625) + 0.0)]);
    tc0.y = dot(pos, _28.vfuniforms[int((((float(vbatch) * 4.0) + 2.0) + 0.100000001490116119384765625) + 1.0)]);
}






